Bug 237367 - www/seahub: Invokes version-nonspecific gunicorn binary/script
Summary: www/seahub: Invokes version-nonspecific gunicorn binary/script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Richard Gallamore
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2019-04-18 20:27 UTC by Boris Tassou
Modified: 2019-06-10 17:10 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ultima)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Tassou 2019-04-18 20:27:45 UTC
Hi,

On a FreeBSD 12, the init script need the bin /usr/local/bin/gunicorn but when gunicorn is installed, the path is /usr/local/bin/gunicorn-2.7 so the init script don't work.

To solved this, i juste create a symlink :

ln -s /usr/local/bin/gunicorn-2.7 /usr/local/bin/gunicorn

And the init script work.

Thanks for the work!
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-19 10:44:18 UTC
All ports must invoke version-specific (PYTHON_VER) versions of binary names.
Comment 2 commit-hook freebsd_committer 2019-06-09 05:25:09 UTC
A commit references this bug:

Author: ultima
Date: Sun Jun  9 05:24:42 UTC 2019
New revision: 503784
URL: https://svnweb.freebsd.org/changeset/ports/503784

Log:
  Bumped seahub version for init script to fix gunicorn binary name
  Fix checksum due to retagged version

  PR:		237367

Changes:
  head/net-mgmt/seafile-server/Makefile.include
  head/www/seahub/Makefile
  head/www/seahub/distinfo
  head/www/seahub/files/seahub.in
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-10 13:42:41 UTC
Re-open for MFH, quarterly version is affected
Comment 4 commit-hook freebsd_committer 2019-06-10 17:09:02 UTC
A commit references this bug:

Author: ultima
Date: Mon Jun 10 17:08:18 UTC 2019
New revision: 503918
URL: https://svnweb.freebsd.org/changeset/ports/503918

Log:
  MFH: r503784 r503787

  Bumped seahub version for init script to fix gunicorn binary name
  Fix checksum due to retagged version

  Change currently unused init var seahub_host so
  there is no breakage for current users of seahub.

  Change hard coded 0.0.0.0 for gunicorn start to
  seahub_host.

  PR:		237366 237367
  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/net-mgmt/seafile-server/Makefile.include
  branches/2019Q2/www/seahub/Makefile
  branches/2019Q2/www/seahub/distinfo
  branches/2019Q2/www/seahub/files/seahub.in
Comment 5 Richard Gallamore freebsd_committer 2019-06-10 17:10:49 UTC
Thanks for the reminder koobs.